Set Chatwoot
curl --request POST \
--url https://{server-url}/chatwoot/set/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"enabled": true,
"accountId": "<string>",
"token": "<string>",
"url": "<string>",
"signMsg": true,
"reopenConversation": true,
"conversationPending": true,
"nameInbox": "<string>",
"mergeBrazilContacts": true,
"importContacts": true,
"importMessages": true,
"daysLimitImportMessages": 123,
"signDelimiter": "<string>",
"autoCreate": true,
"organization": "<string>",
"logo": "<string>",
"ignoreJids": [
"<string>"
]
}
'import requests
url = "https://{server-url}/chatwoot/set/{instance}"
payload = {
"enabled": True,
"accountId": "<string>",
"token": "<string>",
"url": "<string>",
"signMsg": True,
"reopenConversation": True,
"conversationPending": True,
"nameInbox": "<string>",
"mergeBrazilContacts": True,
"importContacts": True,
"importMessages": True,
"daysLimitImportMessages": 123,
"signDelimiter": "<string>",
"autoCreate": True,
"organization": "<string>",
"logo": "<string>",
"ignoreJids": ["<string>"]
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
accountId: '<string>',
token: '<string>',
url: '<string>',
signMsg: true,
reopenConversation: true,
conversationPending: true,
nameInbox: '<string>',
mergeBrazilContacts: true,
importContacts: true,
importMessages: true,
daysLimitImportMessages: 123,
signDelimiter: '<string>',
autoCreate: true,
organization: '<string>',
logo: '<string>',
ignoreJids: ['<string>']
})
};
fetch('https://{server-url}/chatwoot/set/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{server-url}/chatwoot/set/{instance}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'accountId' => '<string>',
'token' => '<string>',
'url' => '<string>',
'signMsg' => true,
'reopenConversation' => true,
'conversationPending' => true,
'nameInbox' => '<string>',
'mergeBrazilContacts' => true,
'importContacts' => true,
'importMessages' => true,
'daysLimitImportMessages' => 123,
'signDelimiter' => '<string>',
'autoCreate' => true,
'organization' => '<string>',
'logo' => '<string>',
'ignoreJids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"apikey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{server-url}/chatwoot/set/{instance}"
payload := strings.NewReader("{\n \"enabled\": true,\n \"accountId\": \"<string>\",\n \"token\": \"<string>\",\n \"url\": \"<string>\",\n \"signMsg\": true,\n \"reopenConversation\": true,\n \"conversationPending\": true,\n \"nameInbox\": \"<string>\",\n \"mergeBrazilContacts\": true,\n \"importContacts\": true,\n \"importMessages\": true,\n \"daysLimitImportMessages\": 123,\n \"signDelimiter\": \"<string>\",\n \"autoCreate\": true,\n \"organization\": \"<string>\",\n \"logo\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{server-url}/chatwoot/set/{instance}")
.header("apikey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"accountId\": \"<string>\",\n \"token\": \"<string>\",\n \"url\": \"<string>\",\n \"signMsg\": true,\n \"reopenConversation\": true,\n \"conversationPending\": true,\n \"nameInbox\": \"<string>\",\n \"mergeBrazilContacts\": true,\n \"importContacts\": true,\n \"importMessages\": true,\n \"daysLimitImportMessages\": 123,\n \"signDelimiter\": \"<string>\",\n \"autoCreate\": true,\n \"organization\": \"<string>\",\n \"logo\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{server-url}/chatwoot/set/{instance}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["apikey"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"accountId\": \"<string>\",\n \"token\": \"<string>\",\n \"url\": \"<string>\",\n \"signMsg\": true,\n \"reopenConversation\": true,\n \"conversationPending\": true,\n \"nameInbox\": \"<string>\",\n \"mergeBrazilContacts\": true,\n \"importContacts\": true,\n \"importMessages\": true,\n \"daysLimitImportMessages\": 123,\n \"signDelimiter\": \"<string>\",\n \"autoCreate\": true,\n \"organization\": \"<string>\",\n \"logo\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.Chatwoot
Set Chatwoot
Set Chatwoot
POST
/
chatwoot
/
set
/
{instance}
Set Chatwoot
curl --request POST \
--url https://{server-url}/chatwoot/set/{instance} \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"enabled": true,
"accountId": "<string>",
"token": "<string>",
"url": "<string>",
"signMsg": true,
"reopenConversation": true,
"conversationPending": true,
"nameInbox": "<string>",
"mergeBrazilContacts": true,
"importContacts": true,
"importMessages": true,
"daysLimitImportMessages": 123,
"signDelimiter": "<string>",
"autoCreate": true,
"organization": "<string>",
"logo": "<string>",
"ignoreJids": [
"<string>"
]
}
'import requests
url = "https://{server-url}/chatwoot/set/{instance}"
payload = {
"enabled": True,
"accountId": "<string>",
"token": "<string>",
"url": "<string>",
"signMsg": True,
"reopenConversation": True,
"conversationPending": True,
"nameInbox": "<string>",
"mergeBrazilContacts": True,
"importContacts": True,
"importMessages": True,
"daysLimitImportMessages": 123,
"signDelimiter": "<string>",
"autoCreate": True,
"organization": "<string>",
"logo": "<string>",
"ignoreJids": ["<string>"]
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
accountId: '<string>',
token: '<string>',
url: '<string>',
signMsg: true,
reopenConversation: true,
conversationPending: true,
nameInbox: '<string>',
mergeBrazilContacts: true,
importContacts: true,
importMessages: true,
daysLimitImportMessages: 123,
signDelimiter: '<string>',
autoCreate: true,
organization: '<string>',
logo: '<string>',
ignoreJids: ['<string>']
})
};
fetch('https://{server-url}/chatwoot/set/{instance}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{server-url}/chatwoot/set/{instance}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'accountId' => '<string>',
'token' => '<string>',
'url' => '<string>',
'signMsg' => true,
'reopenConversation' => true,
'conversationPending' => true,
'nameInbox' => '<string>',
'mergeBrazilContacts' => true,
'importContacts' => true,
'importMessages' => true,
'daysLimitImportMessages' => 123,
'signDelimiter' => '<string>',
'autoCreate' => true,
'organization' => '<string>',
'logo' => '<string>',
'ignoreJids' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"apikey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{server-url}/chatwoot/set/{instance}"
payload := strings.NewReader("{\n \"enabled\": true,\n \"accountId\": \"<string>\",\n \"token\": \"<string>\",\n \"url\": \"<string>\",\n \"signMsg\": true,\n \"reopenConversation\": true,\n \"conversationPending\": true,\n \"nameInbox\": \"<string>\",\n \"mergeBrazilContacts\": true,\n \"importContacts\": true,\n \"importMessages\": true,\n \"daysLimitImportMessages\": 123,\n \"signDelimiter\": \"<string>\",\n \"autoCreate\": true,\n \"organization\": \"<string>\",\n \"logo\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("apikey", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{server-url}/chatwoot/set/{instance}")
.header("apikey", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"accountId\": \"<string>\",\n \"token\": \"<string>\",\n \"url\": \"<string>\",\n \"signMsg\": true,\n \"reopenConversation\": true,\n \"conversationPending\": true,\n \"nameInbox\": \"<string>\",\n \"mergeBrazilContacts\": true,\n \"importContacts\": true,\n \"importMessages\": true,\n \"daysLimitImportMessages\": 123,\n \"signDelimiter\": \"<string>\",\n \"autoCreate\": true,\n \"organization\": \"<string>\",\n \"logo\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{server-url}/chatwoot/set/{instance}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["apikey"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"accountId\": \"<string>\",\n \"token\": \"<string>\",\n \"url\": \"<string>\",\n \"signMsg\": true,\n \"reopenConversation\": true,\n \"conversationPending\": true,\n \"nameInbox\": \"<string>\",\n \"mergeBrazilContacts\": true,\n \"importContacts\": true,\n \"importMessages\": true,\n \"daysLimitImportMessages\": 123,\n \"signDelimiter\": \"<string>\",\n \"autoCreate\": true,\n \"organization\": \"<string>\",\n \"logo\": \"<string>\",\n \"ignoreJids\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.Authorizations
Your authorization key header
Path Parameters
Name of the instance
Body
application/json
Enable chatwoot
Chatwoot account ID
Chatwoot token
Chatwoot server URL
Sign message with user name
Name inbox chatwoot
Import Chatwoot contacts
Import chatwoot messages
Break line
Name organization
Url logo
Jids ignore
Response
200
Ok

